Opened 2 years ago

Closed 2 years ago

#22248 closed enhancement (implemented)

Remove deprecation warnings as soon as metrics-lib 1.7.0 is released

Reported by: karsten Owned by: metrics-team
Priority: Medium Milestone:
Component: Metrics/Website Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Current metrics-web master does not use any deprecated metrics-lib methods, but as soon as we release metrics-lib 1.7.0 and update metrics-web to use that there will be some warnings. I found 1 such warning in the advbwdist module and 3 warnings in the legacy module, all related to streamlined digest methods. There might be more when metrics-lib 1.7.0 comes out. This ticket is a placeholder to make sure that we remove these warnings soon after they appear.

Child Tickets

Change History (3)

comment:1 Changed 2 years ago by karsten

Status: newneeds_review

comment:2 Changed 2 years ago by iwakeh

Status: needs_reviewmerge_ready

No deprecation warnings and clean compile.
Looking fine and ready for merge.

comment:3 Changed 2 years ago by karsten

Resolution: implemented
Status: merge_readyclosed

Great, thanks for the review! Merged, closing.

Note: See TracTickets for help on using tickets.